scala.io

# StdIn

#### object StdIn extends StdIn

Source
  StdIn.scala

Linear Supertypes
StdIn, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. StdIn
2. StdIn
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### def readBoolean(): Boolean

    Reads a boolean value from an entire line of the default input.

    Reads a boolean value from an entire line of the default input. Has a fairly liberal interpretation of the input.

    returns

      the boolean value read, or false if it couldn't be converted to a boolean

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

16. #### def readByte(): Byte

    Reads a byte value from an entire line of the default input.

    Reads a byte value from an entire line of the default input.

    returns

      the Byte that was read

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

      java.lang.NumberFormatException

      if the value couldn't be converted to a Byte

17. #### def readChar(): Char

    Reads a char value from an entire line of the default input.

    Reads a char value from an entire line of the default input.

    returns

      the Char that was read

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

      java.lang.StringIndexOutOfBoundsException

      if the line read from default input was empty

18. #### def readDouble(): Double

    Reads a double value from an entire line of the default input.

    Reads a double value from an entire line of the default input.

    returns

      the Double that was read.

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

      java.lang.NumberFormatException

      if the value couldn't be converted to a Float

19. #### def readFloat(): Float

    Reads a float value from an entire line of the default input.

    Reads a float value from an entire line of the default input.

    returns

      the Float that was read.

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

      java.lang.NumberFormatException

      if the value couldn't be converted to a Float

20. #### def readInt(): Int

    Reads an int value from an entire line of the default input.

    Reads an int value from an entire line of the default input.

    returns

      the Int that was read

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

      java.lang.NumberFormatException

      if the value couldn't be converted to an Int

21. #### def readLine(text: String, args: Any*): String

    Print and flush formatted text to the default output, and read a full line from the default input.

    Print and flush formatted text to the default output, and read a full line from the default input. Returns `null` if the end of the input stream has been reached.

    text

      the format of the text to print out, as in `printf`.

    args

      the parameters used to instantiate the format, as in `printf`.

    returns

      the string read from the default input

    Definition Classes
      StdIn

22. #### def readLine(): String

    Read a full line from the default input.

    Read a full line from the default input. Returns `null` if the end of the input stream has been reached.

    returns

      the string read from the terminal or null if the end of stream was reached.

    Definition Classes
      StdIn

23. #### def readLong(): Long

    Reads an long value from an entire line of the default input.

    Reads an long value from an entire line of the default input.

    returns

      the Long that was read

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

      java.lang.NumberFormatException

      if the value couldn't be converted to a Long

24. #### def readShort(): Short

    Reads a short value from an entire line of the default input.

    Reads a short value from an entire line of the default input.

    returns

      the short that was read

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

      java.lang.NumberFormatException

      if the value couldn't be converted to a Short

25. #### def readf(format: String): List[Any]

    Reads in some structured input (from the default input), specified by a format specifier.

    Reads in some structured input (from the default input), specified by a format specifier. See class `java.text.MessageFormat` for details of the format specification.

    format

      the format of the input.

    returns

      a list of all extracted values.

    Definition Classes
      StdIn
    Exceptions thrown
      java.io.EOFException

      if the end of the input stream has been reached.

26. #### def readf1(format: String): Any

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first value extracted, according to the format specification.

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first value extracted, according to the format specification.

    format

      format string, as accepted by `readf`.

    returns

      The first value that was extracted from the input

    Definition Classes
      StdIn

27. #### def readf2(format: String): (Any, Any)

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first two values extracted, according to the format specification.

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first two values extracted, according to the format specification.

    format

      format string, as accepted by `readf`.

    returns

      A scala.Tuple2 containing the first two values extracted

    Definition Classes
      StdIn

28. #### def readf3(format: String): (Any, Any, Any)

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first three values extracted, according to the format specification.

    Reads in some structured input (from the default input), specified by a format specifier, returning only the first three values extracted, according to the format specification.

    format

      format string, as accepted by `readf`.

    returns

      A scala.Tuple3 containing the first three values extracted

    Definition Classes
      StdIn

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from StdIn

### Inherited from AnyRef

### Inherited from Any

### Ungrouped